# DOMAttr::__construct

(PHP 5, PHP 7, PHP 8)

DOMAttr::__construct — Creates a new DOMAttr object

### 说明

public DOMAttr::__construct(string `$name`, string `$value` = "")

Creates a new DOMAttr object. This object is read only. It may be appended to a document, but additional nodes may not be appended to this node until the node is associated with a document. To create a writable node, use DOMDocument::createAttribute.

### 参数

`name`

  The tag name of the attribute.

`value`

  The value of the attribute.

### 示例

示例 #1 Creating a new DOMAttr object

`<?php
$dom = new DOMDocument('1.0', 'utf-8');
$element = $dom->appendChild(new DOMElement('root'));
$attr = $element->setAttributeNode(new DOMAttr('attr', 'attrvalue'));
echo $dom->saveXML();
?>`

以上示例会输出：

    <?xml version="1.0" encoding="utf-8"?>
    <root attr="attrvalue"/>

### 参见

- DOMDocument::createAttribute() - Create new attribute

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open